Runtime

## org.eclipse.gmf.runtime.diagram.ui.handles
Class ConnectionHandle.HandleDirection

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.handles.ConnectionHandle.HandleDirection

Enclosing class:
  ConnectionHandle

public static final class ConnectionHandle.HandleDirection
extends java.lang.Object

An enumeration of connection directions. OUTGOING = source to target INCOMING = target to source

Field Summary
`static ConnectionHandle.HandleDirection` `INCOMING` target to source
`static ConnectionHandle.HandleDirection` `OUTGOING` source to target

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OUTGOING

    public static final ConnectionHandle.HandleDirection OUTGOING

  source to target

### INCOMING

    public static final ConnectionHandle.HandleDirection INCOMING

  target to source

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.